(* Программа count подсчитывает число символов в файле *)

uses linux;

const
  BUFSIZE=512;

var
  filedes:integer;
  nread:longint;
  buffer:array [0..BUFSIZE-1] of byte;
  total:longint;
begin
  total := 0;

  (* Открыть файл 'anotherfile' только для чтения *)
  filedes := fdopen ('anotherfile', Open_RDONLY);
  if filedes=-1 then
  begin
    writeln('Ошибка при открытии файла anotherfile');
    halt(1);
  end;

  (* Повторять до конца файла, пока nread не будет равно 0 *)
  nread := fdread (filedes, buffer, BUFSIZE);
  while nread > 0 do
  begin
    inc(total,nread);		(* увеличить total на nread *)
    nread := fdread (filedes, buffer, BUFSIZE);
  end;

  writeln('Число символов в файле anotherfile: ', total);
  fdclose(filedes);
  halt(0);
end.
